package com.dahe.glex.bean

/**
 * @ClassName OrderBean
 * @Author 用户
 * @Date 2023/9/21 10:22
 * @Description TODO
 */
data class OrderBean(
    val avatar: String= "",
    val distance: String= "",
    val driverFreight: String= "",
    val goodsList: List<Goods> = mutableListOf<Goods>(),
    val loadingArea: String= "",
    val loadingAreaCode: String= "",
    val loadingCity: String= "",
    val loadingCityCode: String= "",
    val loadingDeadline: String= "",
    val loadingProvince: String= "",
    val loadingProvinceCode: String= "",
    val orderId: String= "",
    val orderNum: String= "",
    val orderStatus: String= "",
    val waybillId: String= "",
    val orderChildreId: String= "",
    val orderType: String= "",
    val passingPointsNum: String= "",
    val realCompanyName: String= "",
    val receiverArea: String= "",
    val receiverAreaCode: String= "",
    val receiverCity: String= "",
    val receiverCityCode: String= "",
    val receiverProvince: String= "",
    val receiverProvinceCode: String= "",
    val requirement: String= "",
    val shipperCreditRating: String= "",
    val shipperPositiveReviewRate: String= "",
    val shipperTransactionVolume: String= "",
    val vehicleLength: String= "",
    val vehicleType: String = "",
    val goodItemGrossWeight: String = "",
    val driverEvaluationStatus: String = "",//司机评价状态（0=未评价，1=已评价）
    val shipperEvaluationStatus: String = "",//货主评价状态（0=未评价，1=已评价）
    val goodName: String = "",
    val vehicleNum: String = ""
)

data class Goods(
    val goodCube: String,
    val goodItemGrossWeight: String,
    val goodName: String,
    val goodNum: String,
    val orderGoodsId: String
)